curl --request PUT \
--url https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"code": "DC",
"name": "Distribution Center",
"safetyStock": 2,
"rules": {
"locationData.attributes.channel": "Frontline",
"productData.attributes.subclass": {
"$nin": 778942701
}
}
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}"
payload = {
"code": "DC",
"name": "Distribution Center",
"safetyStock": 2,
"rules": {
"locationData.attributes.channel": "Frontline",
"productData.attributes.subclass": { "$nin": 778942701 }
}
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
code: 'DC',
name: 'Distribution Center',
safetyStock: 2,
rules: {
'locationData.attributes.channel': 'Frontline',
'productData.attributes.subclass': {$nin: 778942701}
}
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory/network/{networkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"networkId": "62278e49167b6079755aa5e7",
"code": "DC",
"name": "Distribution Center",
"safetyStock": 2,
"rules": {
"locationData.attributes.channel": "Frontline",
"productData.attributes.subclass": {
"$nin": 778942701
}
}
}{
"message": "Invalid request payload or parameter"
}{
"message": "Counter code: on-hand already exists."
}{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Updates specific network
Updates details of a specific network by specified network ID. Details to be updated include network code, name, safety stock, and conditional rule for a specific network.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
Unique identifier of a network
"62278e49167b6079755aa5e7"
Body
Network create or update payload
Network code. It's a unique identifier for the network.
"DC"
Name of the network
"Distribution Center"
Safety stock count. This indicates the reserve quantity of an item, to fulfill an emergency requirement incase of damage of the product that is reserved for sell.
2
Rule specific to location.
{
"locationData.attributes.channel": "Frontline",
"productData.attributes.subclass": { "$nin": 778942701 }
}
Response
OK
Network ID
"62278e49167b6079755aa5e7"
Unique identifier for the network
"DC"
Name of the network
"Distribution Center"
Safety stock count. This indicates the reserve quantity of an item to fulfill an emergency requirement incase of damage of the product that is reserved for sell.
2
Conditional rule specific to location
{
"locationData.attributes.channel": "Frontline",
"productData.attributes.subclass": { "$nin": 778942701 }
}
Was this page helpful?
